These are chat archives for reactioncommerce/reaction

20th
May 2019
shruti0212
@shruti0212
May 20 06:39
Hello how to run make command in reaction-platform.
shruti0212
@shruti0212
May 20 07:23
Hello when i run make command in reaction-platform it give me a error so please give me a process how to resolve this.
ashwinsoni
@ashwinsoni
May 20 11:02
@shruti0212 Make sure you are allowing sufficient memory to your docker.
Please refer: https://docs.reactioncommerce.com/docs/troubleshooting-development#docker-issues
shruti0212
@shruti0212
May 20 13:04
Hello this type of error i m face make × ERR not found: make-$(foreach...
shruti0212
@shruti0212
May 20 13:12
@ashwinsoni Hello this type of error i am face make × ERR not found: make-$(foreach..please give me solution how to resolve this.
ashwinsoni
@ashwinsoni
May 20 14:46
@shruti0212 Could you please paste your entire console error here to help us understand it better?
jwvdgeest
@JeroenWillemvanderGeest
May 20 15:43
Hello dear people @ Reaction. I've finished installing Reaction (using the version 2.0) tutorial. I was expecting the localhost:4000 to show me the starter-kit website, or :3000 for the default admin. However, it's refusing connection, all the time. Running on Windows 10 with IIS enabled.
It keeps throwing the ERR_CONNECTION_REFUSED message. I would much appreciate any help and/or suggestion.
Janus Reith
@janus-reith
May 20 17:29
@JeroenWillemvanderGeest can you find any more meaniningful error by running docker logs -f reaction_reaction_1?
jwvdgeest
@JeroenWillemvanderGeest
May 20 18:04
Hi Janus, thanks for your prompt reply. I ran the logs and this is what i got.
Jeroen@DESKTOP-OA52D3O MINGW64 /c/inetpub/wwwroot/reaction-platform (master)
$ docker logs -f reaction_reaction_1
npm WARN apollo-cache-inmemory@1.2.5 requires a peer of graphql@0.11.7 || ^0.12.0 || ^0.13.0 but none is installed. You must install peer dependencies yourself.
npm WARN apollo-client@2.3.5 requires a peer of graphql@^0.11.0 || ^0.12.0 || ^0.13.0 but none is installed. You must install peer dependencies yourself.
npm WARN apollo-link@1.2.2 requires a peer of graphql@^0.11.3 || ^0.12.3 || ^0.13.0 but none is installed. You must install peer dependencies yourself.
(amongst others..)
I figured i needed to install this: https://www.npmjs.com/package/install-peers and so I did.
However, it did not solve my problem.
@janus-reith Appreciate your help
Janus Reith
@janus-reith
May 20 18:23
Those node modules should be installed inside the docker Container, without manual steps involved.
Are you using cygwin?
Asking because of that mingw part
jwvdgeest
@JeroenWillemvanderGeest
May 20 18:25
Hi Janus, not sure. I'm in GIT BASH submitting my CLI commands
Janus Reith
@janus-reith
May 20 18:25
You could run docker exec -i -t reaction_reaction_1 bash and verify if node_modules is present
Okay
How did you Install docker?
I believe git bash in windows will have issues resolving paths with /
jwvdgeest
@JeroenWillemvanderGeest
May 20 18:30
I installed Docker following the steps from the Docker website
It says it's running (fine)
Janus Reith
@janus-reith
May 20 18:31
Okay, was just wondering that it is accesible from you git bash terminal
jwvdgeest
@JeroenWillemvanderGeest
May 20 18:31
Aha.
Janus Reith
@janus-reith
May 20 18:31
Try a different one
jwvdgeest
@JeroenWillemvanderGeest
May 20 18:32
I get this message when running that command: the input device is not a TTY.
Does that say anything?
Janus Reith
@janus-reith
May 20 18:32
When you Type the docker exec it... Command?
Try cmd or Powershell
(but Not Powershell ISE)
jwvdgeest
@JeroenWillemvanderGeest
May 20 18:33
Run from reaction-platform dir?
Janus Reith
@janus-reith
May 20 18:33
Yes
jwvdgeest
@JeroenWillemvanderGeest
May 20 18:34
Getting this
Error response from daemon: Container 3e6a8fb7bfa7ef2dbae870bca4d43c3e8b448ab6004a2e068124516b6a782456 is not running
Janus Reith
@janus-reith
May 20 18:34
Not sure If that will be Better, while they also wont Unserstand Unix paths, there might ne some docker magic going in that solves it.
Ok
Hm
Run make start from there again and See If IT makes a difference?
jwvdgeest
@JeroenWillemvanderGeest
May 20 18:36
i'm thinking cache somewhere is stuck
Getting errors now. Gonna do a quick reboot and be back in 3 minutes
Janus Reith
@janus-reith
May 20 18:37
You could try WSL , although Others Had problems with that. Or, try a cygwin shell as that could Help with the paths.
Or, save yourself the time and use a Linux vm
jwvdgeest
@JeroenWillemvanderGeest
May 20 18:39
Yeah, i figured Windows might be a little issue.
I want to install to get a good look on the backoffice and explore the possibilities to use for our platform
Restarted and executed: make start
Maybe this helps?
The Part Starting from: VOLUME MOUNTING REQUIRES SHARED DRIVES FOR LINUX CONTAINERS
jwvdgeest
@JeroenWillemvanderGeest
May 20 18:43
Thanks Janus
Will do some more digging and report back to you if i found something
Thanks again
Appreciate your time and effort
Ben S.
@bnschmdt
May 20 19:44
hey all, we run on 1.13.1 version of reaction With a couple of security updates. but the core is 1.13.1, and i'm trying to set up prerender.io correctly. I'm not a environment/back end guy, so where should I be putting the prerender.io token and the plugin itself? I really appreciate your help.
it's totally holding up our SEO strategy without this.